Bug 142661 - panel autohide doesn't work
panel autohide doesn't work
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: gnome-panel (Show other bugs)
3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Mark McLoughlin
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-11 19:57 EST by Need Real Name
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-04 07:41:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2004-12-11 19:57:02 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; rv:1.7.3) Gecko/20041020
Firefox/0.10.1

Description of problem:
After a while the panel autohide feature stops working.  I experienced
this before in RH9.  The panel would sometimes fail to notice a mouse
exit event.  Moving the cursor back down into the panel and off again
would usually make panel hide itself correctly.

Now on FC3, the panel has gotten into a state where it won't autohide
at all (the pref box for autohide is definitely checked).  No amount
of moving the cursor on and off of the panel will make it hide.  I
haven't yet tried shutting down the window system and restarting it
just to see what happens, or anything like that.  But I think I've
seen this behavior in several different sessions.

Version-Release number of selected component (if applicable):
gnome-panel-2.8.1-3

How reproducible:
Sometimes

Steps to Reproduce:
1. Use Gnome desktop normally for a while
2.
3.
    

Actual Results:  Autohide becomes flaky and eventually stops working
altogether

Expected Results:  Autohide should keep working

Additional info:
Comment 1 Mark McLoughlin 2004-12-20 09:00:32 EST
We'll need to know exactly what triggered this bug in order to fix it.

For example, another "autohide stops working" bug which was fixed with
gnome-panel 2.8.1:

  https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=131868

There doesn't seem to be any other autohide issues filed upstream
against 2.8.1
Comment 2 Mark McLoughlin 2005-01-04 07:41:20 EST
No response, closing
Comment 3 Larry Diegel 2005-02-22 17:35:34 EST
AUTOHIDE STOPS WORKING

Seems to "stick" in the exposed condition sometimes
when I click in panel to open a window.  May accidently
be "dragging" something, but not intentionally.
I can not reproduce the problem when I want to, it
just seems to happen randomly.  Only solution to
unstick it is to restart X11, which means losing
all of my windows.  I've seen references to an
old bug fix for this, and wonder if gnome-panel-2.8.1-3
includes that fix or not.  If not, this is a new bug.
(note: my fc3 is entirely up to date via daily up2dates).

Note:  I have dual monitors, and the one that sticks is 
always the left monitor (screen0).  The right one will 
sometimes stick, but it's easy to fix by pulling up 
preferences, unchecking and then rechecking autohide.

I have two bottom panels, one on each monitor, and they
display different icons (a window on screen 0 only displays
in screen 0's panel).  Autohide is set in both, but after
screen 0's sticks, screen 1's acts normally.  Graphics driver
is NVIDIA-Linux-x86-1.0-6629-pkg1.run, down loaded from NVIDIA
web site.

Hope this helps...
Larry

Note You need to log in before you can comment on or make changes to this bug.